Bug 445070 - Review Request: ocaml-res - OCaml library for resizing arrays and strings
Review Request: ocaml-res - OCaml library for resizing arrays and strings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ocaml-janest-core
  Show dependency treegraph
 
Reported: 2008-05-03 03:21 EDT by Richard W.M. Jones
Modified: 2008-05-12 15:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 15:49:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-05-03 03:21:47 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-res.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-res-2.2.5-1.fc9.src.rpm
Description: OCaml library for resizing arrays and strings

rpmlint says:
  ocaml-res.i386: E: no-binary
  ocaml-res.i386: E: only-non-binary-in-usr-lib
which is OK for OCaml packages.

Koji scratch build is here:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=593964
Comment 1 Jason Tibbitts 2008-05-10 20:32:29 EDT
Everything looks good to me.

* source files match upstream:
   66baf7fad87e0d57ce1f26aebcfa28dbcfabfb398e359541f8c0335122df0ac6
   res-2.2.5.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  ocaml-res-2.2.5-1.fc9.x86_64.rpm
   ocaml(Nopres_impl) = 2697c3dca5a9a4131c2f7dc5bca6e6b2
   ocaml(Nopres_intf) = f2cba38fded498038fd106aabbc371be
   ocaml(Pres_impl) = d05f1f1cf02dfc1bfe56cf355d5018f9
   ocaml(Pres_intf) = 5060ab1bb64fee94343c4690c8789ce5
   ocaml(Res) = d769dae087931ccbbb44a6627ba33f91
   ocaml(Strat) = 0b33ba7ac9fa02a1261cebcc20abf463
   ocaml(Weak_impl) = 57391fc3a31be2c6d4a3e5467cb76427
   ocaml(Weak_intf) = b9d9520f4da69b2cd69d0482c429f16d
   ocaml-res = 2.2.5-1.fc9
  =
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Weak) = 6d509339939dea165d9dfd44d8a6a035
   ocaml(runtime) = 3.10.1

  ocaml-res-devel-2.2.5-1.fc9.x86_64.rpm
   ocaml-res-devel = 2.2.5-1.fc9
  =
   ocaml-res = 2.2.5-1.fc9

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files (except for LICENSE, which is OK although unnecessary)
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
* .cmo, .o and .ml files not included

APPROVED
Comment 2 Richard W.M. Jones 2008-05-12 05:43:39 EDT
New Package CVS Request
=======================
Package Name: ocaml-res
Short Description: OCaml library for resizing arrays and strings
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-05-12 12:55:00 EDT
cvs done.
Comment 4 Richard W.M. Jones 2008-05-12 15:49:17 EDT
Built in F-8/F-9/devel.

Note You need to log in before you can comment on or make changes to this bug.